%define unmangled_name backports.functools_lru_cache

%define mangled_name python3-backports.functools_lru_cache
%define version 1.5
%define unmangled_version 1.5
%define unmangled_version 1.5
%define release %{?build_number}%{?!build_number:1}%{?dist}

Summary: backports.functools_lru_cache
Name: %{mangled_name}
BuildRequires: python3-setuptools
Version: %{version}
Release: %{release}
Source0: %{unmangled_name}-%{unmangled_version}.tar.gz
License: UNKNOWN
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{unmangled_name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Vendor: Jason R. Coombs <jaraco@jaraco.com>
Url: https://github.com/jaraco/backports.functools_lru_cache

%description
.. image:: https://img.shields.io/pypi/v/backports.functools_lru_cache.svg
   :target: https://pypi.org/project/backports.functools_lru_cache

.. image:: https://img.shields.io/pypi/pyversions/backports.functools_lru_cache.svg

.. image:: https://img.shields.io/travis/jaraco/backports.functools_lru_cache/master.svg
   :target: https://travis-ci.org/jaraco/backports.functools_lru_cache

.. .. image:: https://readthedocs.org/projects/backportsfunctools_lru_cache/badge/?version=latest
..    :target: https://backportsfunctools_lru_cache.readthedocs.io/en/latest/?badge=latest

Backport of functools.lru_cache from Python 3.3 as published at `ActiveState
<http://code.activestate.com/recipes/578078/>`_.

Usage
=====

Consider using this technique for importing the 'lru_cache' function::

    try:
        from functools import lru_cache
    except ImportError:
        from backports.functools_lru_cache import lru_cache


%prep
%setup -n %{unmangled_name}-%{unmangled_version} -n %{unmangled_name}-%{unmangled_version}

%build
python3 setup.py build

%install
python3 setup.py install  -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
